org.yaml.snakeyaml.extensions.compactnotation

## Class CompactConstructor

- java.lang.Object
- - org.yaml.snakeyaml.constructor.BaseConstructor
  - - org.yaml.snakeyaml.constructor.SafeConstructor
    - - org.yaml.snakeyaml.constructor.Constructor
      - - org.yaml.snakeyaml.extensions.compactnotation.CompactConstructor

Direct Known Subclasses:
  PackageCompactConstructor

    public class CompactConstructor
    extends Constructor

Construct a custom Java instance out of a compact object notation format.

### Nested Class Summary

Nested Classes
`class` `CompactConstructor.ConstructCompactObject`

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.Constructor

`Constructor.ConstructMapping, Constructor.ConstructScalar, Constructor.ConstructSequence, Constructor.ConstructYamlObject`

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlMap, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlSeq, SafeConstructor.ConstructYamlSet, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp`

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`undefinedConstructor`

### Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`composer, loadingConfig, rootTag, typeDefinitions, typeTags, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

### Constructor Summary

Constructors
Constructor and Description
`CompactConstructor()`

### Method Summary

Methods
`protected void` `applySequence(Object bean, List<?> value)`
`protected Object` `constructCompactFormat(ScalarNode node, CompactData data)`
`protected Construct` `createCompactConstruct()`
`protected Object` `createInstance(ScalarNode node, CompactData data)`
`CompactData` `getCompactData(String scalar)`
`protected Construct` `getConstructor(Node node)` Get the constructor to construct the Node.
`protected String` `getSequencePropertyName(Class<?> bean)` Provide the name of the property which is used when the entries form a sequence.
`protected void` `setProperties(Object bean, Map<String,Object> data)`

### Methods inherited from class org.yaml.snakeyaml.constructor.Constructor

`getClassForName, getClassForNode`

### Methods inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`constructMapping2ndStep, constructSet2ndStep, createLongOrBigInteger, flattenMapping, processDuplicateKeys`

### Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`addTypeDescription, checkData, constructArray, constructArrayStep2, constructDocument, constructMapping, constructObject, constructObjectNoCheck, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, finalizeConstruction, getData, getPropertyUtils, getSingleData, isAllowDuplicateKeys, isEnumCaseSensitive, isExplicitPropertyUtils, isWrappedToRootException, newInstance, newInstance, newInstance, newList, newMap, newSet, postponeMapFilling, postponeSetFilling, setAllowDuplicateKeys, setComposer, setEnumCaseSensitive, setPropertyUtils, setWrappedToRootException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactConstructor

    public CompactConstructor()

### Method Detail

#### constructCompactFormat

    protected Object constructCompactFormat(ScalarNode node,
                                CompactData data)

#### createInstance

    protected Object createInstance(ScalarNode node,
                        CompactData data)
                             throws Exception

Throws:
  `Exception`

#### setProperties

    protected void setProperties(Object bean,
                     Map<String,Object> data)
                          throws Exception

Throws:
  `Exception`

#### getCompactData

    public CompactData getCompactData(String scalar)

#### createCompactConstruct

    protected Construct createCompactConstruct()

#### getConstructor

    protected Construct getConstructor(Node node)

Description copied from class: `BaseConstructor`
Get the constructor to construct the Node. For implicit tags if the runtime class is known a dedicated Construct implementation is used. Otherwise the constructor is chosen by the tag.

Overrides:
  `getConstructor` in class `BaseConstructor`
Parameters:
  `node` - `Node` to construct an instance from
Returns:
  `Construct` implementation for the specified node

#### applySequence

    protected void applySequence(Object bean,
                     List<?> value)

#### getSequencePropertyName

    protected String getSequencePropertyName(Class<?> bean)

Provide the name of the property which is used when the entries form a sequence. The property must be a List.

Parameters:
  `bean` - the class to provide exactly one List property
Returns:
  name of the List property